<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $language->language ?>" lang="<?php print $language->language ?>" dir="<?php print $language->dir ?>">

<head>
  <?php print $head ?>
  <title><?php print $head_title ?></title>
  <?php print $styles ?>
  <?php print $scripts ?>
</head>

<body<?php print_select($html_elements, '#attributes') ?>>
  <div id="main">
    <div id="site-header" class="clearfix">
      <div id="site-header-inner"<?php print_select($html_elements, 'squeeze#attributes.class+') ?>>
        <?php if ($logo_img || $site_name || $site_slogan): ?>
        <div id="site-branding"<?php print_select($html_elements, 'site_branding#attributes.class+') ?>>

          <?php if ($logo_img || $site_name): ?>
          <div id="logo"><a href="<?php print $front_page ?>" title="<?php print t('Home') ?>" rel="home">
            <?php print $logo_img // img.logo ?>
            <?php if ($site_name): ?><span class="site-name"><?php print $site_name ?></span><?php endif ?>
          </a></div>
          <?php endif ?>

          <?php if ($site_slogan): ?><p class="site-slogan"><?php print $site_slogan ?></p><?php endif ?>

        </div><!-- #site-branding -->
        <?php endif ?>


        <?php if ($secondary_links): ?>
        <div id="secondary-links">
        <?php print theme('links', $secondary_links, array('class' => 'secondary links'))
          // ul.navigation.secondary.links > li.menu-ID[.first|.last] > a[.active] ?>
        </div>
        <?php endif ?>

        <?php if ($search_box): ?>    
        <div id="search"><?php print $search_box
          // form#search-theme-form > div > ... ?>
        </div>
        <?php endif ?>

        <?php if ($primary_links): ?>
        <div id="site-navigation"<?php print_select($html_elements, 'site_navigation#attributes.class+') ?>>
          <?php print theme('links', $primary_links, array('class' => 'navigation primary links'))
            // ul.navigation.primary.links > li.menu-ID[.first|.last] > a[.active] ?>
        </div>
        <?php endif ?>

      </div><!-- #site-header-inner -->
    </div><!-- #site-header -->


    <div id="dashboard">
      <div id="dashboard-inner"<?php //print_select($html_elements, 'squeeze#attributes.class+') ?>>
        <?php print $dashboard ?>
      </div><!-- #dashboard-inner -->
    </div><!-- #dashboard -->


    <div id="page-inner"<?php print_select($html_elements, 'squeeze#attributes.class+') ?>>
      <?php if ($messages || $header || $mission): ?>
      <div id="page-header"<?php print_select($html_elements, 'page_header#attributes.class+') ?>>
        <?php print $messages
          // div.status-messages > ul.messages[.status|.error] > li.message ?>
        <?php print $header
          // div#blocks-header.blocks > div#block-ID.block.block-MODULE ?>
        <?php if ($mission): ?><div id="site-mission"><?php print $mission ?></div><?php endif ?>
      </div><!-- #page-header -->
      <?php endif ?>


      <div id="content"<?php print_select($html_elements, 'content#attributes.class+') ?>>
        <?php if ($title || $tabs || $help): ?>
        <div id="content-header"<?php print_select($html_elements, 'content_header#attributes.class+') ?>>
          <?php if ($title): ?>
          <h1 class="page-title title">
            <?php print $title ?>
          </h1>
          <?php endif ?>
          <?php print $tabs
            // ul.tabs[.primary|.secondary] > li > a[.active] ?>
          <?php print $help
            // div.help > p[.more-help-link] ?>
        </div><!-- #content-header -->
        <?php endif ?>


        <?php print $content
          // CONTENT
          // div#blocks-content.blocks > div#block-ID.block.block-MODULE ?>
        <?php print $content_accordion
          // div#blocks-content-accordion.blocks > div#block-ID.block.block-MODULE ?>
        <?php print $content_tabs
          // div#blocks-content-tabs.blocks > div#block-ID.block.block-MODULE ?>
        <?php print $feed_icons
          // a.feed-icon > img ?>
      </div><!-- #content -->


      <?php if ($sidebar || $sidebar_accordion || $sidebar_tabs): ?>
      <div id="sidebar"<?php print_select($html_elements, 'sidebar#attributes.class+') ?>>
        <?php print $sidebar
          // div#blocks-sidebar.blocks > div#block-ID.block.block-MODULE ?>
        <?php print $sidebar_accordion
        // div#blocks-sidebar-accordion.blocks > div#block-ID.block.block-MODULE ?>
        <?php print $sidebar_tabs
        // div#blocks-sidebar-tabs.blocks > div#block-ID.block.block-MODULE ?>
      </div><!-- #sidebar -->
      <?php endif ?>

    </div><!-- #page-inner -->
  </div><!-- #main -->


  <div id="footer">
    <div id="footer-inner"<?php print_select($html_elements, 'footer_message#attributes.class+') ?>>
      <?php print $footer
        // div#blocks-footer.blocks > div#block-ID.block.block-MODULE ?>

      <?php if ($footer_message): ?>
      <div id="footer-message">
        <?php print $footer_message ?>
      </div>
      <?php endif ?>
    </div><!-- #footer-inner -->
  </div><!-- #footer -->

  <?php print $closure ?>
</body>
</html>
